-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

[slackware-security]  cups (SSA:2023-264-02)

New cups packages are available for Slackware 14.2, 15.0, and -current to
fix a security issue.


Here are the details from the Slackware 15.0 ChangeLog:
+--------------------------+
patches/packages/cups-2.4.7-i586-1_slack15.0.txz:  Upgraded.
  This update fixes bugs and a security issue:
  Fixed Heap-based buffer overflow when reading Postscript in PPD files.
  For more information, see:
    https://www.cve.org/CVERecord?id=CVE-2023-4504
  (* Security fix *)
+--------------------------+


Where to find the new packages:
+-----------------------------+

Thanks to the friendly folks at the OSU Open Source Lab
(https://osuosl.org/) for donating FTP and rsync hosting
to the Slackware project!  :-)

Also see the "Get Slack" section on http://www.slackware.com/ for
additional mirror sites near you.

Updated package for Slackware 14.2:
ftp://ftp.slackware.com/pub/slackware/slackware-14.2/patches/packages/cups-2.1.4-i586-5_slack14.2.txz

Updated package for Slackware x86_64 14.2:
ftp://ftp.slackware.com/pub/slackware/slackware64-14.2/patches/packages/cups-2.1.4-x86_64-5_slack14.2.txz

Updated package for Slackware 15.0:
ftp://ftp.slackware.com/pub/slackware/slackware-15.0/patches/packages/cups-2.4.7-i586-1_slack15.0.txz

Updated package for Slackware x86_64 15.0:
ftp://ftp.slackware.com/pub/slackware/slackware64-15.0/patches/packages/cups-2.4.7-x86_64-1_slack15.0.txz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/ap/cups-2.4.7-i586-1.txz

Updated package for Slackware x86_64 -current:
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/ap/cups-2.4.7-x86_64-1.txz


MD5 signatures:
+-------------+

Slackware 14.2 package:
305c9c88c13fe970dee373e1c03790de  cups-2.1.4-i586-5_slack14.2.txz

Slackware x86_64 14.2 package:
a0021743e71ae2004355463ee97c6ae1  cups-2.1.4-x86_64-5_slack14.2.txz

Slackware 15.0 package:
390c5fd0cdfc442d5815d77556c7557f  cups-2.4.7-i586-1_slack15.0.txz

Slackware x86_64 15.0 package:
ab6b5714f764b5eddea6251aaffca847  cups-2.4.7-x86_64-1_slack15.0.txz

Slackware -current package:
bc8c53632efade8b30849665ab7926d3  ap/cups-2.4.7-i586-1.txz

Slackware x86_64 -current package:
ee63ee5e653efa7f6a5335b110ec1541  ap/cups-2.4.7-x86_64-1.txz


Installation instructions:
+------------------------+

Upgrade the package as root:
# upgradepkg cups-2.4.7-i586-1_slack15.0.txz

Then, restart the cups server:
# sh /etc/rc.d/rc.cups restart


+-----+

Slackware: 2023-264-02: cups Security Update

September 21, 2023
New cups packages are available for Slackware 14.2, 15.0, and -current to fix a security issue

Summary

Here are the details from the Slackware 15.0 ChangeLog: patches/packages/cups-2.4.7-i586-1_slack15.0.txz: Upgraded. This update fixes bugs and a security issue: Fixed Heap-based buffer overflow when reading Postscript in PPD files. For more information, see: https://www.cve.org/CVERecord?id=CVE-2023-4504 (* Security fix *)

Where Find New Packages

Thanks to the friendly folks at the OSU Open Source Lab (https://osuosl.org/) for donating FTP and rsync hosting to the Slackware project! :-)
Also see the "Get Slack" section on http://www.slackware.com/ for additional mirror sites near you.
Updated package for Slackware 14.2: ftp://ftp.slackware.com/pub/slackware/slackware-14.2/patches/packages/cups-2.1.4-i586-5_slack14.2.txz
Updated package for Slackware x86_64 14.2: ftp://ftp.slackware.com/pub/slackware/slackware64-14.2/patches/packages/cups-2.1.4-x86_64-5_slack14.2.txz
Updated package for Slackware 15.0: ftp://ftp.slackware.com/pub/slackware/slackware-15.0/patches/packages/cups-2.4.7-i586-1_slack15.0.txz
Updated package for Slackware x86_64 15.0: ftp://ftp.slackware.com/pub/slackware/slackware64-15.0/patches/packages/cups-2.4.7-x86_64-1_slack15.0.txz
Updated package for Slackware -current: ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/ap/cups-2.4.7-i586-1.txz
Updated package for Slackware x86_64 -current: ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/ap/cups-2.4.7-x86_64-1.txz

MD5 Signatures

Slackware 14.2 package: 305c9c88c13fe970dee373e1c03790de cups-2.1.4-i586-5_slack14.2.txz
Slackware x86_64 14.2 package: a0021743e71ae2004355463ee97c6ae1 cups-2.1.4-x86_64-5_slack14.2.txz
Slackware 15.0 package: 390c5fd0cdfc442d5815d77556c7557f cups-2.4.7-i586-1_slack15.0.txz
Slackware x86_64 15.0 package: ab6b5714f764b5eddea6251aaffca847 cups-2.4.7-x86_64-1_slack15.0.txz
Slackware -current package: bc8c53632efade8b30849665ab7926d3 ap/cups-2.4.7-i586-1.txz
Slackware x86_64 -current package: ee63ee5e653efa7f6a5335b110ec1541 ap/cups-2.4.7-x86_64-1.txz

Severity
[slackware-security] cups (SSA:2023-264-02)
New cups packages are available for Slackware 14.2, 15.0, and -current to fix a security issue.

Installation Instructions

Installation instructions: Upgrade the package as root: # upgradepkg cups-2.4.7-i586-1_slack15.0.txz Then, restart the cups server: # sh /etc/rc.d/rc.cups restart

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo